メインコンテンツへスキップ
PUT
/
crm
/
objects
/
2026-03
/
{fromObjectType}
/
{fromObjectId}
/
associations
/
default
/
{toObjectType}
/
{toObjectId}
レコードを関連付け(デフォルト)
curl --request PUT \
  --url https://api.hubapi.com/crm/objects/2026-03/{fromObjectType}/{fromObjectId}/associations/default/{toObjectType}/{toObjectId} \
  --header 'Authorization: Bearer <token>'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "associationSpec": {
        "associationTypeId": 123
      },
      "from": {
        "id": "<string>"
      },
      "to": {
        "id": "<string>"
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

fromObjectId
string
必須
fromObjectType
string
必須
toObjectId
string
必須
toObjectType
string
必須

レスポンス

successful operation

関連付けに対するバッチオペレーションの実行後に返されるレスポンス。

completedAt
string<date-time>
必須

バッチ処理が完了した時刻のタイムスタンプ(ISO 8601形式)。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理の実行が開始された時刻のタイムスタンプ(ISO 8601形式)。

status
enum<string>
必須

バッチ処理リクエストのステータス:「PENDING」、「PROCESSING」、「CANCELLED」、または「COMPLETE」。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。

numErrors
integer<int32>

バッチ処理中に発生したエラーの数。

requestedAt
string<date-time>

バッチ処理が開始された時刻のタイムスタンプ(ISO 8601形式)。

最終更新日 2026年4月13日